"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var prisma_lib_1 = require("prisma-client-lib");
var typeDefs = require("./prisma-schema").typeDefs;

var models = [
  {
    name: "Meta",
    embedded: false
  },
  {
    name: "User",
    embedded: false
  },
  {
    name: "File",
    embedded: false
  },
  {
    name: "Comment",
    embedded: false
  },
  {
    name: "Event",
    embedded: false
  },
  {
    name: "Project",
    embedded: false
  },
  {
    name: "ProjectVersion",
    embedded: false
  },
  {
    name: "InstrumentParameter",
    embedded: false
  },
  {
    name: "InstrumentCommand",
    embedded: false
  },
  {
    name: "Instrument",
    embedded: false
  },
  {
    name: "InstrumentInstance",
    embedded: false
  },
  {
    name: "DUT",
    embedded: false
  },
  {
    name: "SetupHardware",
    embedded: false
  },
  {
    name: "SetupHardwareInstance",
    embedded: false
  },
  {
    name: "Setup",
    embedded: false
  },
  {
    name: "Measurement",
    embedded: false
  },
  {
    name: "MeasurementRun",
    embedded: false
  },
  {
    name: "Characterization",
    embedded: false
  }
];
exports.Prisma = prisma_lib_1.makePrismaClientClass({
  typeDefs,
  models,
  endpoint: `http://localhost:4466`
});
exports.prisma = new exports.Prisma();
