import gql from 'graphql-tag'
import { Query, Mutation } from 'react-apollo'

const InstrumentParameterFormFields = props => {
  const { state, onChange } = props

  return (
    <fieldset>
      <label htmlFor='name'>Name</label>
      <input type='text' name='name' id='name' placeholder='Name' value={state.name} onChange={onChange} />
      <label htmlFor='description'>Name</label>
      <textarea name='description' id='description' placeholder='Description' value={state.description} onChange={onChange} />
    </fieldset>
  )
}

const InstrumentParameter = props => {
  const { parameter } = props
  console.log(parameter)

  return (
    <div>
      <h1>{parameter.name}</h1>
      <p>{parameter.description}</p>
    </div>
  )
}

export default InstrumentParameter
export { InstrumentParameterFormFields }
