import React from 'react'
import styled from 'styled-components'
import ProjectList from '../components/ProjectList'
import ProjectForm from '../components/ProjectForm'

const StyledProjectPage = styled.div`
  display: grid;
  grid-template-columns: 150px auto;
`

const ProjectPage = props => (
  <StyledProjectPage>
    <ProjectList />
    <ProjectForm />
  </StyledProjectPage>
)

export default ProjectPage
