const multer = require('multer')
const { db } = require('./db')
const mkdirp = require('mkdirp')

mkdirp('./static/uploads', error => {
  if (error) throw error
})
const uploadMiddleware = multer({ dest: './static/uploads' })

const handleFile = async (req, res) => {
  const { file } = req
  if (!file) {
    await res.json({ error: 'File not received.' })
    return
  }
  await res.json({ file })
}

module.exports = { uploadMiddleware, handleFile }
