import ProjectVersion from './ProjectVersion'
import MeasurementRun from './MeasurementRun'

class Characterization extends React.Component {
  render () {
    const { name, projectVersion, measurementRuns } = this.props.data
    return (
      <div>
        <h1>{name}</h1>
        <ProjectVersion data={projectVersion} />
        {measurementRuns.map(measurementRun => (
          <MeasurementRun key={measurementRun.id} data={measurementRun} />
        ))}
      </div>
    )
  }
}

export default Characterization
