import Project from './Project'
import Gallery from './Gallery'

const ProjectVersion = props => {
  const { name, changes, date, project } = props.data
  const esDate = new Date(date)
  return (
    <div>
      <Project data={project} />
      <h2>Project version: {name}</h2>
      <p>{esDate.toDateString()}</p>
      <ul>
        <Gallery title='changes' items={changes.map((change, index) => <li key={index}>{change}</li>)} />
      </ul>
    </div>
  )
}

export default ProjectVersion
